Taiwan Mask Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/taiwan-mask-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756339200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.quantum-s.co.jp/en/detail?id=1817",
    "holding_balance": 23.07,
    "holding_net_change": 23.07,
    "transaction_value_usd": 2634764.0,
    "average_entry_value_usd": 114207.37,
    "transaction_value_calculated": false
  },
  {
    "date": 1759449600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.quantum-s.co.jp/en/detail?id=1823",
    "holding_balance": 11.57,
    "holding_net_change": -11.5,
    "transaction_value_usd": 1356517.0,
    "average_entry_value_usd": -117958.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1768780800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.quantum-s.co.jp/en/detail?id=1919",
    "holding_balance": 5.07,
    "holding_net_change": -6.5,
    "transaction_value_usd": 601622.905,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    5.07
  ],
  [
    1779062400000,
    5.07
  ],
  [
    1779148800000,
    5.07
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    392569.3902
  ],
  [
    1779062400000,
    390107.4489
  ],
  [
    1779148800000,
    389173.2507
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 45.45,
    "date": "2026-05-18",
    "high": 49.85,
    "open": 47.65,
    "close": 49.65,
    "volume": 4321917
  },
  {
    "low": 48.5,
    "date": "2026-05-19",
    "high": 50.4,
    "open": 49.5,
    "close": 48.65,
    "volume": 3556834
  },
  {
    "low": 48.2,
    "date": "2026-05-20",
    "high": 50.6,
    "open": 49.5,
    "close": 49.85,
    "volume": 3906204
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 2.169,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -0.1,
  "six_month_return": 37.71,
  "three_month_return": 36.43
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/taiwan-mask-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}